# Generated by Django 3.2.3 on 2021-05-30 17:32

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('study_course', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('is_staff', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('full_name', models.TextField(max_length=60, verbose_name='Full name')),
                ('user_type', models.PositiveIntegerField(choices=[(1, 'Student'), (2, 'Teacher'), (3, 'Manager')], default=1, verbose_name='User type')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Join date')),
                ('degree', models.PositiveIntegerField(blank=True, choices=[(1, 'Bachelor'), (2, 'Specialist'), (3, 'Master')], null=True, verbose_name='Degree')),
                ('educ_form', models.PositiveIntegerField(blank=True, choices=[(1, 'Full time'), (2, 'Part time')], null=True, verbose_name='Form')),
                ('educ_basis', models.PositiveIntegerField(blank=True, choices=[(1, 'Budget'), (2, 'Contractual')], null=True, verbose_name='Basis')),
                ('group', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='study_course.group', verbose_name='Group')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
